## CloudProvidersAccountExporter

CloudProvidersAccountExporter — Base object for representing a cloud providers account

## Functions

CloudProvidersAccountExporter * | cloud_providers_account_exporter_new ()
void | cloud_providers_account_exporter_set_name ()
void | cloud_providers_account_exporter_set_status ()
void | cloud_providers_account_exporter_set_status_details ()
void | cloud_providers_account_exporter_set_icon ()
void | cloud_providers_account_exporter_set_menu_model ()
void | cloud_providers_account_exporter_set_action_group ()
void | cloud_providers_account_exporter_set_path ()

## Properties

GActionGroup * | action-group | Read / Write
gchar * | bus-name | Read / Write / Construct Only
GIcon * | icon | Read / Write
GMenuModel * | menu-model | Read / Write
gchar * | name | Read / Write
gchar * | path | Read / Write
CloudProvidersProviderExporter * | provider | Read / Write / Construct Only
CloudProvidersAccountStatus | status | Read / Write
gchar * | status-details | Read / Write
GDBusConnection * | bus | Read / Write / Construct Only
gchar * | bus-name | Read / Write / Construct Only
gchar * | bus-path | Read / Write / Construct Only
gchar * | name | Read / Write

## Types and Values

#define | CLOUD_PROVIDERS_TYPE_ACCOUNT_EXPORTER
struct | CloudProvidersAccountExporterClass
| CloudProvidersAccountExporter
| CloudProvidersProviderExporter

## Object Hierarchy

        GObject
        ├── CloudProvidersAccountExporter
        ╰── CloudProvidersProviderExporter

## Includes

    #include <src/cloudprovidersaccountexporter.h>

## Description

## Functions

### cloud_providers_account_exporter_new ()

    CloudProvidersAccountExporter *
    cloud_providers_account_exporter_new (CloudProvidersProviderExporter *provider,
                                          const gchar *bus_name);

Create a new CloudProvidersAccountExporter object

#### Parameters

provider | The provider to which it will be associated. |
bus_name | A unique name for the account must be a valid DBus object name |

### cloud_providers_account_exporter_set_name ()

    void
    cloud_providers_account_exporter_set_name
                                   (CloudProvidersAccountExporter *self,
                                    const gchar *name);

### cloud_providers_account_exporter_set_status ()

    void
    cloud_providers_account_exporter_set_status
                                   (CloudProvidersAccountExporter *self,
                                    CloudProvidersAccountStatus status);

### cloud_providers_account_exporter_set_status_details ()

    void
    cloud_providers_account_exporter_set_status_details
                                   (CloudProvidersAccountExporter *self,
                                    const gchar *status_details);

### cloud_providers_account_exporter_set_icon ()

    void
    cloud_providers_account_exporter_set_icon
                                   (CloudProvidersAccountExporter *self,
                                    GIcon *icon);

### cloud_providers_account_exporter_set_menu_model ()

    void
    cloud_providers_account_exporter_set_menu_model
                                   (CloudProvidersAccountExporter *self,
                                    GMenuModel *menu_model);

One of the benefits of the integration is to display a menu with available options for an account. Use this function to export a GMenuModel menu to be displayed by the choosen integration by the desktop environment or application.

#### Parameters

self | The account |
menu_model | The menu model to export |

### cloud_providers_account_exporter_set_action_group ()

    void
    cloud_providers_account_exporter_set_action_group
                                   (CloudProvidersAccountExporter *self,
                                    GActionGroup *action_group);

In order for a menu exported with cloud_providers_account_exporter_export_menu to receive events that will eventually call your callbacks, it needs the corresponding GAcionGroup. Use this function to export it.

#### Parameters

self | The cloud provider |
action_group | The GActionGroup to be used by the menu exported by cloud_providers_account_exporter_export_menu |

### cloud_providers_account_exporter_set_path ()

    void
    cloud_providers_account_exporter_set_path
                                   (CloudProvidersAccountExporter *self,
                                    const gchar *path);

## Types and Values

### CLOUD_PROVIDERS_TYPE_ACCOUNT_EXPORTER

    #define CLOUD_PROVIDERS_TYPE_ACCOUNT_EXPORTER (cloud_providers_account_exporter_get_type())

### struct CloudProvidersAccountExporterClass

    struct CloudProvidersAccountExporterClass {
      GObjectClass parent_class;
    };

### CloudProvidersAccountExporter

    typedef struct _CloudProvidersAccountExporter CloudProvidersAccountExporter;

### CloudProvidersProviderExporter

    typedef struct _CloudProvidersProviderExporter CloudProvidersProviderExporter;

## Property Details

### The `“action-group”` property

      “action-group”             GActionGroup *

The action group associated with the account and menu model.

Flags: Read / Write

### The `“bus-name”` property

      “bus-name”                 gchar *

The bus name of the account.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“icon”` property

      “icon”                     GIcon *

The icon representing the account.

Flags: Read / Write

### The `“menu-model”` property

      “menu-model”               GMenuModel *

The menu model associated with the account.

Flags: Read / Write

### The `“name”` property

      “name”                     gchar *

The name of the account.

Flags: Read / Write

Default value: NULL

### The `“path”` property

      “path”                     gchar *

The path of the directory where files are located.

Flags: Read / Write

Default value: NULL

### The `“provider”` property

      “provider”                 CloudProvidersProviderExporter *

The provider associated with the account.

Flags: Read / Write / Construct Only

### The `“status”` property

      “status”                   CloudProvidersAccountStatus

Status of the account.

Flags: Read / Write

Default value: CLOUD_PROVIDERS_ACCOUNT_STATUS_INVALID

### The `“status-details”` property

      “status-details”           gchar *

The details of the account status.

Flags: Read / Write

Default value: NULL

### The `“bus”` property

      “bus”                      GDBusConnection *

Bus.

Flags: Read / Write / Construct Only

### The `“bus-name”` property

      “bus-name”                 gchar *

BusName.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“bus-path”` property

      “bus-path”                 gchar *

BusPath.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     gchar *

The name of the cloud provider.

Flags: Read / Write

Default value: NULL